Skip to content
Tags

List all tags

Understanding how to use FeatureOS API to build custom integrations.

Introduction

This API allows you to retrieve a list of all your tags.

GET https://api.featureos.app/api/v3/tags
curl -X GET 'https://api.featureos.app/api/v3/tags' \
  -H 'API-KEY: YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Headers

Parameter Default Description
API-KEY - Generate from organization settings on the admin dashboard.

Query Parameters

Parameter Default Description
source_type feature_request The tag's source_type should be "feature_request" - for global Post tag or "bucket" - for specific Board tag.
source_id - If the source type is "bucket" pass the specific board's ID.
privacy - The tags's privacy: "public" or "private"
page 1 Used to paginate responses.
per_page 30 Used to limit the responses.

Sample response

[
  {
    "id": 123,
    "slug": "2025-Quarter-1",
    "name": "2025 Quarter 1",
    "description": "ETC quarter",
    "color": "orange",
    "private": true,
    "source_type": "bucket",
    "source_id": 12
  },
  {
    "id": 123,
    "slug": "Starred",
    "name": "Starred",
    "description": "Posted by starred Customer",
    "color": "cyan",
    "private": null,
    "source_type": "feature_request",
    "source_id": null
  },
  ...
]